function crb_files,t0,t1, fits=fits, write_index=write_index, $
      a1=a1, am=am, half=half, quarter=quarter, image_times=image_times 

common crb_files, files, ftimes


topdir='/u1/sswarch/yoarch/crb/crb_4hr_cadence'
if not file_exist(topdir) then topdir=concat_dir('/net/castor',topdir)
if not file_exist(topdir) then begin 
   box_message,'SXT SSC/FITS dbase not mounted'
   return,''
endif 
index=concat_dir(topdir,'crb_index.genx')
if file_exist(index) then restgen,file=index,files,ftimes
init = keyword_set(init) or n_elements(files) eq 0

if init then begin 
   box_message,['Initial directory listing...','Subsequent calls will be faster']
   files=dir_since(topdir,/sub,pat='crb*.fits')
   files=files(sort(files))
   ftimes=file2time(files,out='int') 
   if keyword_set(write_index) then begin
      savegen,file=index,files,ftimes
   endif
endif

pat='*crb*'
case 1 of 
   keyword_set(a1):pat=pat+'A1_'
   keyword_set(am):pat=pat+'AM_'
   else:
endcase
case 1 of
   keyword_set(quarter): pat=pat+'256*'
   keyword_set(half):  pat=pat+'512*'
   else:  pat=pat+'*'
endcase

ss=wc_where(files,pat,cnt)

if cnt eq 0 then begin 
   box_message,'No files found...
   return,''
endif

case n_params() of
   2: sss=sel_timrange(ftimes(ss),t0,t1)
   1: sss=tim2dset(ftimes(ss),t0)
   else: sss=lindgen(n_elements(ss)) 
endcase

if sss(0) eq -1 then begin 
   retval =''
   box_message,'No files in time range'
endif else begin 
   retval=files(ss(sss))
   image_times=ftimes(ss(sss))
endelse

return,retval
end


