
pro find_cdrom_gaps,time0,time1, bad_only=bad_only
;
;
loggood=1-keyword_set(bad_only)
if n_params() lt 2 then begin 
   time0=anytim(get_yo_dates(/launch),/yohkoh)
   time1=anytim(reltime(/now),/yohkoh)
endif

weeks=week_loop(time0,time1,weekstr=weekstr)
weekstr=strmid(weekstr,0,5)
gfile=concat_dir('$SSW_SITE_LOGS','cdrom_gaps.dat')

file_append,/new, gfile,['; find_cdrom_gaps run at: ' + systime(), $
                   '; time range: ' + arr2str([time0,time1],' -to ')]
for i=0,n_elements(weekstr)-1 do begin 
   cdf=cdrom_files(week=weekstr(i))
   sfdchk=where(strpos(cdf,'sfd'+weekstr(i)) ne -1,sfdcnt)
   if n_elements(cdf) lt 10 and sfdcnt eq 0   then begin
      box_message,'Missing CD ' + weekstr(i)
stop,'missing'
      file_append,gfile,weekstr(i)
   endif else begin
      mess='CD ' + weekstr(i) + ' Loaded; Number files: ' + $
               strtrim(n_elements(cdf),2)  
      box_message,str2arr(mess,';')
       if loggood then file_append,gfile,';'+mess
   endelse

endfor

return
end
