pro ssc_summary,index , files=files, wwwsubdir=wwwsubdir

topdir =get_logenv('path_http')

if n_elements(wwwsubdir) eq 0 then wwwsubdir='ssc_summary'
sscwww=concat_dir(topdir,wwwsubdir)

case 1 of
   data_chk(index,/struct): sindex=index
   data_chk(files,/string): rd_roadmap,files,sindex
   else: begin 
      box_message,'Must supply index/roadmaps -OR- FILES list'
      return
  endcase
endcase

hroot='ssc_summary_'+time2file(sindex(0),/date_only) + $
                 '_'+time2file(last_nelem(sindex),/date_only)
hdoc=concat_dir(sscwww,hroot+'.html')
gname=hroot+'.gif'
tfile=hroot+'.txt'

prefix=str2arr('AM_256,AM_512,A1_256,A1_512')

lcolors=[4,5,7,9]

lpos=[.75,.8,.85,.9]

atimes=file2time(files,out='ints')
nall=n_elements(atimes)

wdef,xx,756,/zbuffer
linecolors
time_window,atimes,t0,t1, min=[-30,30]
plot_goes,t0,t1,back=11,/lo
npre=n_elements(prefix)

; statistics
stable=strarr(npre+1,8)+'-'
stable(0,*)=str2arr('Filter,Resolution,#images,%Total,Max Gap(hours),Max Gap Range,Avg dT(hours),Std Dev dT')

fstrings=gt_filtb(sindex,/short)+'_'+strtrim(gt_shape_cmd(sindex,/x),2)
atimes=anytim(sindex,/int)

for p=0,n_elements(prefix)-1 do begin 
   ss=wc_where(fstrings,'*'+prefix(p)+'*',sscnt)
   filt=(['Aluminum','Al/Mg'])(strpos(prefix(p),'AM_') ne -1)
   res= (['Half','Quarter'])(strpos(prefix(p),'_256') ne -1)
   stable(p+1,0)=filt
   stable(p+1,1)=res
   stable(p+1,2)=strtrim(sscnt,2)
   stable(p+1,3)=string(float(sscnt)/nall*100.,format='(f5.1)') 
  if sscnt gt 0 then begin 

      evt_grid,atimes(ss),tickpos=lpos(p),ticklen=.03,color=lcolors(p),$
      labels=prefix(p), labcolor=lcolors(p), labpos=lpos(p) 
      dts=ssw_deltat(atimes(ss),/hour)
      maxgap=where(dts eq max(dts))
      ; stop,'gapcheck'
      stable(p+1, 4)=string(float(dts(maxgap(0))),format='(f6.1)')
      stable(p+1, 5) = anytim(atimes(ss(maxgap(0))),/vms,/trunc) + ' <b>TO</b> ' + $
                     anytim(atimes(ss(maxgap(0)+1)),/vms,/trunc)
      stable(p+1,6)  = string(average(dts) ,format='(f5.1)')
      stable(p+1,7)  =string(stddev(dts),format='(f7.2)')
    
   endif else begin
      evt_grid,atimes(0),tickpos=lpos(p),ticklen=.0001, color=11, $
         labels=prefix(p), labcolor=lcolors(p), labpos=lpos(p),align=1,/noarrow
      evt_grid,atimes(0),tickpos=lpos(p),ticklen=.0001, color=11, $
         labels='(No images)',labcolor=lcolors(p), labpos=lpos(p),align=0,/noarrow
   endelse

endfor

; -------- generate WWW summary page -----------------
zbuff2file,concat_dir(sscwww,gname)                        ; cadence plot
file_append,concat_dir(sscwww,tfile),files

html_doc,hdoc,/header
tstring=anytim(sindex(0),/ecs) + '<b> -TO - </br>' $
        + anytim(last_nelem(sindex),/ecs)

file_append,hdoc,['SSC/FITS cadence plot for  ' + tstring + '<p>']
if data_chk(files,/string) then $
   file_append,hdoc,['Including files:',files+'<br>']

file_append,hdoc,strtab2html('<img src="'+gname+'">')
file_append,hdoc,'<p>'
file_append,hdoc,strtab2html(transpose(stable),/row0)
file_append,hdoc,str_replace(str2html(hroot+'.html'),'html','txt')

html_doc,hdoc,/trailer


; update index
sumfiles=file_list(sscwww,'ssc_sum*.html')
index=concat_dir(sscwww,'index.html')
html_doc,index,/header
file_append,index,'<h2> Links to SSC cadence & converage summary plots</h2>
file_append,str2html(ssw_strsplit(sumfiles,'/',/tail,/last))
html_doc,index,/trailer


return
end




