pro sxt_ssc_rationalize, index, data, iout, dout, $
   almg_normalize=almg_normalize, quarter_norm=quarter_norm, $
   _extra=_extra, $
   outres=outres, outsize=outsize, $
   eightbit=eightbit, sixteenbit=sixteenbit

;
;+
;   Name: sxt_ssc_rationalize
;
;   Purpose: register and optionally scale ssc/sss data
;
;   Input Parameters:
;      index, data
;      
;   Output Parameters:
;      iout, dout - registered and optionally scaled 
;
;   Keyword_Parameters:
;      outres -  standard Yohkoh interp, default=1 (half res)
;      outsize - output image size
;-

if not keyword_set(outres) then outres=1
if not keyword_set(oursize) then outsize=512
almg_norm=keyword_set(almg_normalize)
quarter_norm=keyword_set(quarter_norm)

sxt_prep, index, data, iout, dout, outsize=outsize, outres=outres, $
    _extra=_extra, /register, suncoord=[0,0], /roll, $
   sfd_cor=(data_chk(data,/type) eq 1)

if quarter_norm then begin 
   ssq=where(gt_filtb(iout) eq 2,qcnt)
   if qcnt gt 0 then begin 
      box_message,'Applying quarter->half res normalization
      for i=0,qcnt-1 do dout(0,0,ssq(i))=dout(*,*,ssq(i))/4.
   endif

endif

if keyword_set(almg_normalize) then begin 
   almgfact=2.2 
   ssal=where(gt_filtb(iout) eq 2,alcnt)
   for i=0,alcnt-1 do begin
      dout(0,0,ssal(i))=dout(*,*,ssal(i))/almgfact      
      iout(ssal(i)).his.expdur=iout(ssal(i) ).his.expdur/almgfact
   endfor
endif

case 1 of   

   keyword_set(sixteenbit): begin 
      dout=round(dout)>0<65535
   endcase
   keyword_set(eightbit) and data_chk(dout,/type) gt 1: begin
      dout=safe_log10(iout,dout,minimum=0,max=5.8,/byte)
   endcase
   else:
endcase


end
 






 

